SetActiveMowerEvent = {};
SetActiveMowerEvent_mt = Class(SetActiveMowerEvent, Event);

InitEventClass(SetActiveMowerEvent, "SetActiveMowerEvent");

function SetActiveMowerEvent:emptyNew()
    local self = Event:new(SetActiveMowerEvent_mt);
    self.className = "SetActiveMowerEvent";
    return self;
end;

function SetActiveMowerEvent:new(object, idx)
    local self = SetActiveMowerEvent:emptyNew()
    self.object = object;
	self.idx = idx;
    return self;
end;

function SetActiveMowerEvent:readStream(streamId, connection)
    local id = streamReadInt32(streamId);
	self.object = networkGetObject(id);
	self.idx = streamReadInt32(streamId);
    self:run(connection);
end;

function SetActiveMowerEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.object));
	streamWriteInt32(streamId, self.idx);
end;

function SetActiveMowerEvent:run(connection)
	self.object:setActiveMower(self.idx, true)
	if not connection:getIsServer() then
		g_server:broadcastEvent(SetActiveMowerEvent:new(self.object, self.idx), nil, connection, self.object);
	end;
end;

function SetActiveMowerEvent.sendEvent(vehicle, idx, noEventSend)
	if vehicle.activeMowerIdx ~= idx then
		if noEventSend == nil or noEventSend == false then
			if g_server ~= nil then
				g_server:broadcastEvent(SetActiveMowerEvent:new(vehicle, idx), nil, nil, vehicle);
			else
				g_client:getServerConnection():sendEvent(SetActiveMowerEvent:new(vehicle, idx));
			end;
		end;
	end;
end;

